## audiocd-kio 16.12.3

=== debian/changelog ===
audiocd-kio (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:25:59 +0000

audiocd-kio (4:16.12.1-0ubuntu5) zesty; urgency=medium

  * Temporarily skip acc header test in a better way - should be fixable
    in next applications upload

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 16 Feb 2017 23:06:52 +0000

audiocd-kio (4:16.12.1-0ubuntu4) zesty; urgency=medium

  * Temporarily skip acc header test - should be fixable in next
    applications upload

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 16 Feb 2017 20:49:11 +0000

audiocd-kio (4:16.12.1-0ubuntu3) zesty; urgency=medium

  * Update dependencies for transitional packages to the new KF5
    versions

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 16 Feb 2017 17:25:23 +0000

audiocd-kio (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Update autopkgtest acc test for KF5 and multiarch.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 24 Jan 2017 19:06:07 +0000

audiocd-kio (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update build depends for Frameworks:
    - libkcompactdisc-dev -> libkf5compactdisc-dev
    - add libphonon4qt5-dev
    - add libphonon4qt5experimental-dev
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Add new build depends on libkf5cddb-dev

  [ Rik Mills ]
  * Add build dep on libasound2-dev
  * Lintian override on kio-audiocd: package-name-doesnt-match-sonames
  * Remove sameVersionDep on kde4 dev package as this is now KF5
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

  [ Clive Johnston ]
  * Fixing install files
  * Add build dep on kdelibs5-dev
  * Fixing install file

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:14:39 +0000

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkf5cddb-dev (>= 4:16.12.3~),
               libkf5compactdisc-dev (>= 4:16.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libogg-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: lame
Breaks: kdemultimedia-kio-plugins (<< 4:4.10)
Replaces: kdemultimedia-kio-plugins (<< 4:4.10)
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
Breaks: kdemultimedia-dev (<< 4:4.10)
Replaces: kdemultimedia-dev (<< 4:4.10)
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

Package: kdemultimedia-kio-plugins
Section: oldlibs
Priority: extra
Architecture: all
Depends: kio-audiocd, ${misc:Depends}
Description: transitional package for kio-audiocd
 This transitional package allows one to migrate to kio-audiocd.
 .
 It can be safely removed after the installation.

Package: kdemultimedia-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends: kio-audiocd-dev (>= 4:16.12.3~),
         libkf5cddb-dev (>= 4:16.12.3~),
         libkf5compactdisc-dev (>= 4:16.12.3~),
         ${misc:Depends}
Description: transitional package for KDE multimedia development packages
 This transitional package allows one to migrate to kio-audiocd-dev,
 libkf5cddb-dev, and libkf5compactdisc-dev.
 .
 It can be safely removed after the installation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_makeshlibs:
	$(overridden_command) -V

## audiocd-kio 17.04.3

=== debian/changelog ===
audiocd-kio (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install locales and add Breaks/Replaces against kde-l10n.
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:30:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev (>= 4:16.12.3~),
-               libkf5compactdisc-dev (>= 4:16.12.3~),
+               libkf5cddb-dev (>= 4:17.04.3~),
+               libkf5compactdisc-dev (>= 4:17.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
@@ -32,8 +32,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: lame
-Breaks: kdemultimedia-kio-plugins (<< 4:4.10)
-Replaces: kdemultimedia-kio-plugins (<< 4:4.10)
+Breaks: kdemultimedia-kio-plugins (<< 4:4.10), ${kde-l10n:all}
+Replaces: kdemultimedia-kio-plugins (<< 4:4.10), ${kde-l10n:all}
 Description: transparent audio CD access for applications using the KDE Platform
  This package includes the audiocd KIO plugin, which allows applications using
  the KDE Platform to read audio from CDs and automatically convert it into other
@@ -67,9 +67,9 @@
 Section: oldlibs
 Priority: extra
 Architecture: all
-Depends: kio-audiocd-dev (>= 4:16.12.3~),
-         libkf5cddb-dev (>= 4:16.12.3~),
-         libkf5compactdisc-dev (>= 4:16.12.3~),
+Depends: kio-audiocd-dev (>= 4:17.04.3~),
+         libkf5cddb-dev (>= 4:17.04.3~),
+         libkf5compactdisc-dev (>= 4:17.04.3~),
          ${misc:Depends}
 Description: transitional package for KDE multimedia development packages
  This transitional package allows one to migrate to kio-audiocd-dev,

## audiocd-kio 17.08.3

=== data/CMakeLists.txt ===
install(FILES
  audiocd.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/virtual_folders/services)

install(FILES
  solid_audiocd.desktop
  DESTINATION ${DATA_INSTALL_DIR}/solid/actions)

=== plugins/flac/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"audiocd_encoder_flac\")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..  ${FLAC_INCLUDE_DIR} )

########### next target ###############

# Remove this, and #ifdef in encoderflac when Makefile.am's are removed
add_definitions(-DHAVE_LIBFLAC)

set(audiocd_encoder_flac_PART_SRCS encoderflac.cpp )

ki18n_wrap_ui(audiocd_encoder_flac_PART_SRCS encoderflacconfig.ui)

kconfig_add_kcfg_files(audiocd_encoder_flac_PART_SRCS audiocd_flac_encoder.kcfgc)

add_library(audiocd_encoder_flac ${audiocd_encoder_flac_PART_SRCS})
set_target_properties(audiocd_encoder_flac PROPERTIES PREFIX "${CMAKE_SHARED_LIBRARY_PREFIX}")

target_link_libraries(audiocd_encoder_flac 
    ${FLAC_LIBRARIES} 
    KF5::I18n
    KF5::Cddb
    audiocdplugins
)

install(TARGETS audiocd_encoder_flac  DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES audiocd_flac_encoder.kcfg DESTINATION ${KCFG_INSTALL_DIR})

=== plugins/vorbis/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"audiocd_encoder_vorbis\")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..  ${OGGVORBIS_INCLUDE_DIR} ${VORBIS_INCLUDE_DIR})

########### next target ###############

set(audiocd_encoder_vorbis_PART_SRCS encodervorbis.cpp)

ki18n_wrap_ui(audiocd_encoder_vorbis_PART_SRCS encodervorbisconfig.ui)

kconfig_add_kcfg_files(audiocd_encoder_vorbis_PART_SRCS audiocd_vorbis_encoder.kcfgc)

add_library(audiocd_encoder_vorbis ${audiocd_encoder_vorbis_PART_SRCS})
set_target_properties(audiocd_encoder_vorbis PROPERTIES PREFIX "${CMAKE_SHARED_LIBRARY_PREFIX}")

target_link_libraries(audiocd_encoder_vorbis 
    ${OGGVORBIS_LIBRARIES} 
    KF5::I18n
    KF5::Cddb
    audiocdplugins
)

install(TARGETS audiocd_encoder_vorbis  DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install(FILES audiocd_vorbis_encoder.kcfg  DESTINATION  ${KCFG_INSTALL_DIR})

=== plugins/wav/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..  ${CDPARANOIA_INCLUDE_DIR})

########### next target ###############

set(audiocd_encoder_wav_PART_SRCS encoderwav.cpp encodercda.cpp)

add_library(audiocd_encoder_wav ${audiocd_encoder_wav_PART_SRCS})
set_target_properties(audiocd_encoder_wav PROPERTIES PREFIX "${CMAKE_SHARED_LIBRARY_PREFIX}")

target_link_libraries(audiocd_encoder_wav 
    audiocdplugins 
)

install(TARGETS audiocd_encoder_wav  DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
audiocd-kio (4:17.08.3-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (17.08.0)
    - switch to Qt5/KF5 (Closes: #874820), so it works in dolphin
      (Closes: #884409)
  * Remove the transitional packages kdemultimedia-kio-plugins and
    kdemultimedia-dev (Closes: #878201)

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove extra kde-l10n breaks/replaces, already included in ${kde-l10n:all}.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 14:13:25 +0100

audiocd-kio (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:21:18 +0000

audiocd-kio (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:05 +0000

audiocd-kio (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:28 +0000

audiocd-kio (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:08:42 +0000

audiocd-kio (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:01:59 +0000

audiocd-kio (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:05 +0000

audiocd-kio (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:54:41 +0000

audiocd-kio (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:12:25 +0000

audiocd-kio (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 18 May 2016 18:10:46 +0200

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkf5cddb-dev,
               libkf5compactdisc-dev,
               libkf5config-dev (>= 5.24.0~),
               libkf5doctools-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5kio-dev (>= 5.24.0~),
               libogg-dev,
               libphonon4qt5-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.12),
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/audiocd-kio.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/audiocd-kio.git

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lame
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

## audiocd-kio 17.12.3

=== CMakeLists.txt ===
project(audiocd)

cmake_minimum_required(VERSION 2.8.12)

# ECM setup
include(FeatureSummary)
find_package(ECM 5.24.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
set(CMAKE_MODULE_PATH "${ECM_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(PROJECT_VERSION "16.07.0")
set(KF5_DEP_VERSION "5.24.0") # handled by release scripts

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS
    Config
    KDELibs4Support
    I18n
    DocTools
    KIO
)
find_package(KF5Cddb)
set_package_properties(KF5Cddb PROPERTIES
    DESCRIPTION "KF5 branch for CDDB library"
    URL "http://projects.kde.org/projects/kde/kdemultimedia/libkcddb"
    TYPE REQUIRED
    PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet."
)
find_package(KF5CompactDisc)
set_package_properties(KF5CompactDisc PROPERTIES
    DESCRIPTION "KCompactDisc library"
    URL "https://commits.kde.org/libkcompactdisc"
    TYPE REQUIRED
    PURPOSE "libkcompactdisc is used to access CD drives."
)

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(CMakePushCheckState)
include(CheckStructHasMember)

ecm_setup_version("5.0.0"
    VARIABLE_PREFIX AUDIOCDPLUGINS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/audiocdplugins_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/AudioCDPluginsConfigVersion.cmake"
    SOVERSION 5
)

find_package(Cdparanoia REQUIRED)

cmake_push_check_state()
set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${CDPARANOIA_INCLUDE_DIR})
check_struct_has_member("struct cdrom_drive" "ioctl_device_name" "cdda_interface.h" CDDA_IOCTL_DEVICE_EXISTS)
cmake_pop_check_state()
if(CDDA_IOCTL_DEVICE_EXISTS)
    set(HAVE_CDDA_IOCTL_DEVICE 1)
else()
    set(HAVE_CDDA_IOCTL_DEVICE 0)
endif()

configure_file(config-audiocd.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-audiocd.h)

#############################

include_directories(
	${CDPARANOIA_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(plugins)
add_subdirectory(kcmaudiocd)
add_subdirectory(data)
add_subdirectory(doc)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

########### next target ###############

set(kio_audiocd_PART_SRCS audiocd.cpp )

add_library(kio_audiocd ${kio_audiocd_PART_SRCS})

target_link_libraries(kio_audiocd 
    ${CDPARANOIA_LIBRARIES} 
    KF5::CompactDisc
    audiocdplugins
)

install(TARGETS kio_audiocd  DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install(FILES audiocd.protocol  DESTINATION  ${SERVICES_INSTALL_DIR})

ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== doc/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kioslave5/audiocd)

=== debian/changelog ===
audiocd-kio (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:22:13 +0000

audiocd-kio (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:54:23 +0000

audiocd-kio (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Transitional package priorities changed from 'extra' to 'optional'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:00:38 +0000

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkf5cddb-dev (>= 4:17.12.3~),
               libkf5compactdisc-dev (>= 4:17.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libogg-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: lame
Breaks: kdemultimedia-kio-plugins (<< 4:4.10), ${kde-l10n:all}
Replaces: kdemultimedia-kio-plugins (<< 4:4.10), ${kde-l10n:all}
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
Breaks: kdemultimedia-dev (<< 4:4.10)
Replaces: kdemultimedia-dev (<< 4:4.10)
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

Package: kdemultimedia-kio-plugins
Section: oldlibs
Priority: optional
Architecture: all
Depends: kio-audiocd, ${misc:Depends}
Description: transitional package for kio-audiocd
 This transitional package allows one to migrate to kio-audiocd.
 .
 It can be safely removed after the installation.

Package: kdemultimedia-dev
Section: oldlibs
Priority: optional
Architecture: all
Depends: kio-audiocd-dev (>= 4:17.12.3~),
         libkf5cddb-dev (>= 4:17.12.3~),
         libkf5compactdisc-dev (>= 4:17.12.3~),
         ${misc:Depends}
Description: transitional package for KDE multimedia development packages
 This transitional package allows one to migrate to kio-audiocd-dev,
 libkf5cddb-dev, and libkf5compactdisc-dev.
 .
 It can be safely removed after the installation.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_makeshlibs:
	$(overridden_command) -V

=== debian/tests/control ===
# Tests: testsuite
# Depends: @, @builddeps@, build-essential
# Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, libkf5cddb-dev, exuberant-ctags

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/audiocd-kio-([\d.]+).tar.xz

## audiocd-kio 18.04.3

=== debian/changelog ===
audiocd-kio (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:13:18 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev (>= 4:17.12.3~),
-               libkf5compactdisc-dev (>= 4:17.12.3~),
+               libkf5cddb-dev (>= 4:18.04.3~),
+               libkf5compactdisc-dev (>= 4:18.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
@@ -22,7 +22,7 @@
                libphonon4qt5experimental-dev,
                libvorbis-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
@@ -67,10 +67,10 @@
 Section: oldlibs
 Priority: optional
 Architecture: all
-Depends: kio-audiocd-dev (>= 4:17.12.3~),
-         libkf5cddb-dev (>= 4:17.12.3~),
-         libkf5compactdisc-dev (>= 4:17.12.3~),
-         ${misc:Depends}
+Depends: kio-audiocd-dev (>= 4:18.04.3~),
+         libkf5cddb-dev (>= 4:18.04.3~),
+         libkf5compactdisc-dev (>= 4:18.04.3~),
+         ${misc:Depends},
 Description: transitional package for KDE multimedia development packages
  This transitional package allows one to migrate to kio-audiocd-dev,
  libkf5cddb-dev, and libkf5compactdisc-dev.

## audiocd-kio 18.12.3

=== debian/changelog ===
audiocd-kio (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:24:07 +0000

audiocd-kio (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:11:34 +0000

audiocd-kio (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:07:18 +0000

audiocd-kio (4:18.12.0-0ubuntu1) disco; urgency=medium

  * Install kio_audiocd.categories file.
  * Install appstream data file.
  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:46:04 +0000

audiocd-kio (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.
    - Bumped build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 18:03:42 +0000

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkf5cddb-dev (>= 4:18.12.3~),
               libkf5compactdisc-dev (>= 4:18.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libogg-dev,
               libphonon4qt5-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.12),
Standards-Version: 4.1.3
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lame
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

## audiocd-kio 19.04.3

=== debian/changelog ===
audiocd-kio (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:09:48 +0100

audiocd-kio (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 14:57:58 +0100

audiocd-kio (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:53:53 +0100

audiocd-kio (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Install audiocd KCM docs.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:39:11 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev (>= 4:18.12.3~),
-               libkf5compactdisc-dev (>= 4:18.12.3~),
+               libkf5cddb-dev (>= 4:19.04.3~),
+               libkf5compactdisc-dev (>= 4:19.04.3~),
                libkf5config-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
@@ -43,7 +43,8 @@
 Package: kio-audiocd-dev
 Section: devel
 Architecture: any
-Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
+Depends: kio-audiocd (= ${binary:Version}),
+         ${misc:Depends},
 Description: development files for the audio CD KIO plugin
  This package contains development files for building plugins for the audio CD
  KIO plugin.

## audiocd-kio 19.08.2

=== debian/changelog ===
audiocd-kio (4:19.08.2-1) unstable; urgency=medium

  [ Scarlett Moore ]
  * Update VCS entries.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - remove libkf5kdelibs4support-dev
    - add libkf5kcmutils-dev
    - explicitly add gettext, and qtbase5-dev
  * Update install files.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 11 Oct 2019 00:16:47 +0200

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.24.0~),
               gettext,
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkf5cddb-dev,
               libkf5compactdisc-dev,
               libkf5config-dev (>= 5.24.0~),
               libkf5doctools-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5kio-dev (>= 5.24.0~),
               libogg-dev,
               libphonon4qt5-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.4.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio.git

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lame
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

## audiocd-kio 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(audiocd)

set(PROJECT_VERSION "19.04.0")

set(QT_MIN_VERSION "5.9.0")
set(KF_MIN_VERSION "5.24.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(CMakePushCheckState)
include(GenerateExportHeader)
include(CheckStructHasMember)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets)

find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    I18n
    DocTools
    KIO
    KCMUtils
)
find_package(KF5Cddb)
set_package_properties(KF5Cddb PROPERTIES
    DESCRIPTION "KF5 branch for CDDB library"
    URL "https://commits.kde.org/libkcddb"
    TYPE REQUIRED
    PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet."
)
find_package(KF5CompactDisc)
set_package_properties(KF5CompactDisc PROPERTIES
    DESCRIPTION "KCompactDisc library"
    URL "https://commits.kde.org/libkcompactdisc"
    TYPE REQUIRED
    PURPOSE "libkcompactdisc is used to access CD drives."
)

ecm_setup_version("5.0.0"
    VARIABLE_PREFIX AUDIOCDPLUGINS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/audiocdplugins_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/AudioCDPluginsConfigVersion.cmake"
    SOVERSION 5
)

find_package(Cdparanoia REQUIRED)

cmake_push_check_state()
set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${CDPARANOIA_INCLUDE_DIR})
check_struct_has_member("struct cdrom_drive" "ioctl_device_name" "cdda_interface.h" CDDA_IOCTL_DEVICE_EXISTS)
cmake_pop_check_state()
if(CDDA_IOCTL_DEVICE_EXISTS)
    set(HAVE_CDDA_IOCTL_DEVICE 1)
else()
    set(HAVE_CDDA_IOCTL_DEVICE 0)
endif()
execute_process(
    COMMAND sed -e "s|cdda_private_data_t \\*private;|cdda_private_data_t \\*private_data;|g"
    # The next line should be removed if strerror_tr will be used somewhere
    COMMAND sed -e "/static\ char/,/}\;/d"
    INPUT_FILE ${CDPARANOIA_INCLUDE_DIR}/cdda_interface.h
    OUTPUT_FILE ${CMAKE_CURRENT_BINARY_DIR}/cdda_interface.hpp
    RESULT_VARIABLE CDDA_INTERFACE_EDIT_ERROR
)
if (CDDA_INTERFACE_EDIT_ERROR)
    message(STATUS "Fixing cdda_interface.h for C++ failed with exit code ${CDDA_INTERFACE_EDIT_ERROR}")
endif()

configure_file(config-audiocd.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-audiocd.h)

#############################

include_directories(
	${CDPARANOIA_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_subdirectory(plugins)
add_subdirectory(kcmaudiocd)
add_subdirectory(data)
add_subdirectory(doc)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

########### next target ###############

set(kio_audiocd_PART_SRCS audiocd.cpp )

ecm_qt_declare_logging_category(kio_audiocd_PART_SRCS HEADER audiocd_kio_debug.h IDENTIFIER AUDIOCD_KIO_LOG CATEGORY_NAME kf5.kio.audiocd DEFAULT_SEVERITY Warning)

add_library(kio_audiocd MODULE ${kio_audiocd_PART_SRCS})
set_target_properties(kio_audiocd PROPERTIES OUTPUT_NAME "audiocd")

target_link_libraries(kio_audiocd 
    ${CDPARANOIA_LIBRARIES}
    Qt5::Widgets
    KF5::CompactDisc
    audiocdplugins
)

install(TARGETS kio_audiocd  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

########### install files ###############

if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES kio_audiocd.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES kio_audiocd.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()
install(FILES audiocd.protocol  DESTINATION  ${SERVICES_INSTALL_DIR})

ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -6,3 +6,6 @@
   solid_audiocd.desktop
   DESTINATION ${DATA_INSTALL_DIR}/solid/actions)
 
+install(FILES
+  org.kde.kio_audiocd.metainfo.xml
+  DESTINATION ${KDE_INSTALL_METAINFODIR})

=== kcmaudiocd/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmaudiocd\")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/../plugins
)

########### next target ###############

set(kcm_audiocd_PART_SRCS kcmaudiocd.cpp)

ki18n_wrap_ui(kcm_audiocd_PART_SRCS audiocdconfig.ui)

add_library(kcm_audiocd MODULE ${kcm_audiocd_PART_SRCS})

target_link_libraries(kcm_audiocd
    KF5::I18n
    KF5::KCMUtils
    audiocdplugins 
)

install(TARGETS kcm_audiocd  DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install(FILES audiocd.desktop  DESTINATION  ${SERVICES_INSTALL_DIR})

########### add handbook ################

add_subdirectory(doc)

=== plugins/CMakeLists.txt ===
find_package(FLAC)
if(FLAC_FOUND)
    add_subdirectory(flac)
endif(FLAC_FOUND)

find_package(OggVorbis)
if(OGGVORBIS_FOUND AND HAVE_LIBVORBISENC2)
    add_subdirectory(vorbis)
endif(OGGVORBIS_FOUND AND HAVE_LIBVORBISENC2)

add_subdirectory(wav)
add_subdirectory(lame)
add_subdirectory(opus)

########### next target ###############

set(audiocdplugins_LIB_SRCS audiocdencoder.cpp)

add_library(audiocdplugins SHARED ${audiocdplugins_LIB_SRCS})

target_link_libraries(audiocdplugins
    KF5::Cddb
    KF5::KIOCore
)

generate_export_header(audiocdplugins 
    EXPORT_MACRO_NAME AUDIOCDPLUGINS_EXPORT
    DEPRECATED_MACRO_NAME AUDIOCDPLUGINS_EXPORT_DEPRECATED
    EXPORT_FILE_NAME audiocdplugins_export.h
)

set_target_properties(audiocdplugins 
    PROPERTIES VERSION ${AUDIOCDPLUGINS_VERSION_STRING} 
    SOVERSION ${AUDIOCDPLUGINS_SOVERSION}
)

install(TARGETS audiocdplugins ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/audiocdplugins_export.h audiocdencoder.h  DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== debian/changelog ===
audiocd-kio (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:03:43 +0000

audiocd-kio (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:15:39 +0000

audiocd-kio (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:49:30 +0000

audiocd-kio (4:19.12.0-0ubuntu1) focal; urgency=medium

  * Update install files.
  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:42:59 +0000

audiocd-kio (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:27:52 +0000

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev,
-               libkf5compactdisc-dev,
+               libkf5cddb-dev (>= 4:19.12.3~),
+               libkf5compactdisc-dev (>= 4:19.12.3~),
                libkf5config-dev (>= 5.24.0~),
                libkf5doctools-dev (>= 5.24.0~),
                libkf5i18n-dev (>= 5.24.0~),
@@ -45,7 +45,8 @@
 Package: kio-audiocd-dev
 Section: devel
 Architecture: any
-Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
+Depends: kio-audiocd (= ${binary:Version}),
+         ${misc:Depends},
 Description: development files for the audio CD KIO plugin
  This package contains development files for building plugins for the audio CD
  KIO plugin.

## audiocd-kio 20.08.1

=== debian/changelog ===
audiocd-kio (4:20.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 16:37:06 +0200

audiocd-kio (4:20.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to the new release-service location.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 18:10:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.24.0~),
                gettext,
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev (>= 4:19.12.3~),
-               libkf5compactdisc-dev (>= 4:19.12.3~),
+               libkf5cddb-dev,
+               libkf5compactdisc-dev,
                libkf5config-dev (>= 5.24.0~),
                libkf5doctools-dev (>= 5.24.0~),
                libkf5i18n-dev (>= 5.24.0~),
@@ -24,7 +24,8 @@
                libvorbis-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio.git
@@ -45,8 +46,7 @@
 Package: kio-audiocd-dev
 Section: devel
 Architecture: any
-Depends: kio-audiocd (= ${binary:Version}),
-         ${misc:Depends},
+Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
 Description: development files for the audio CD KIO plugin
  This package contains development files for building plugins for the audio CD
  KIO plugin.

## audiocd-kio 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,9 @@
 cmake_minimum_required(VERSION 3.0)
 
-project(audiocd)
+project(audiocd VERSION "5.0.0")
 
-set(PROJECT_VERSION "19.04.0")
-
-set(QT_MIN_VERSION "5.9.0")
-set(KF_MIN_VERSION "5.24.0")
+set(QT_MIN_VERSION "5.12.0")
+set(KF_MIN_VERSION "5.68.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -44,10 +42,9 @@
     PURPOSE "libkcompactdisc is used to access CD drives."
 )
 
-ecm_setup_version("5.0.0"
+ecm_setup_version(${audiocd_VERSION}
     VARIABLE_PREFIX AUDIOCDPLUGINS
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/audiocdplugins_version.h"
-    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/AudioCDPluginsConfigVersion.cmake"
     SOVERSION 5
 )
 
@@ -78,6 +75,21 @@
 
 #############################
 
+add_definitions(
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050C00
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054400
+    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DQT_NO_FOREACH
+    -DQT_NO_KEYWORDS
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_NO_CAST_FROM_ASCII
+    -DQT_NO_CAST_TO_ASCII
+    -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_STRICT_ITERATORS
+    -DQT_USE_QSTRINGBUILDER
+    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
+)
 include_directories(
 	${CDPARANOIA_INCLUDE_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}
@@ -89,13 +101,17 @@
 add_subdirectory(data)
 add_subdirectory(doc)
 
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-########### next target ###############
-
 set(kio_audiocd_PART_SRCS audiocd.cpp )
 
-ecm_qt_declare_logging_category(kio_audiocd_PART_SRCS HEADER audiocd_kio_debug.h IDENTIFIER AUDIOCD_KIO_LOG CATEGORY_NAME kf5.kio.audiocd DEFAULT_SEVERITY Warning)
+ecm_qt_declare_logging_category(kio_audiocd_PART_SRCS
+    HEADER audiocd_kio_debug.h
+    IDENTIFIER AUDIOCD_KIO_LOG
+    CATEGORY_NAME kf.kio.slaves.audiocd
+    OLD_CATEGORY_NAMES kf5.kio.audiocd
+    DEFAULT_SEVERITY Warning
+    DESCRIPTION "audiocd KIO slave"
+    EXPORT AUDIOCD
+)
 
 add_library(kio_audiocd MODULE ${kio_audiocd_PART_SRCS})
 set_target_properties(kio_audiocd PROPERTIES OUTPUT_NAME "audiocd")
@@ -104,21 +120,21 @@
     ${CDPARANOIA_LIBRARIES}
     Qt5::Widgets
     KF5::CompactDisc
+    KF5::I18n
     audiocdplugins
 )
 
 install(TARGETS kio_audiocd  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)
 
-########### install files ###############
-
-if (${ECM_VERSION} STRGREATER "5.58.0")
-    install(FILES kio_audiocd.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-else()
-    install(FILES kio_audiocd.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
-endif()
 install(FILES audiocd.protocol  DESTINATION  ${SERVICES_INSTALL_DIR})
 
+ecm_qt_install_logging_categories(
+    EXPORT AUDIOCD
+    FILE kio_audiocd.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)
+
 ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()
+kdoctools_install(po)
+
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plugins/opus/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"audiocd_encoder_opus\")

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

########### next target ###############

set(audiocd_encoder_opus_PART_SRCS encoderopus.cpp)

ki18n_wrap_ui(audiocd_encoder_opus_PART_SRCS encoderopusconfig.ui)

kconfig_add_kcfg_files(audiocd_encoder_opus_PART_SRCS audiocd_opus_encoder.kcfgc)

add_library(audiocd_encoder_opus ${audiocd_encoder_opus_PART_SRCS})
set_target_properties(audiocd_encoder_opus PROPERTIES PREFIX "${CMAKE_SHARED_LIBRARY_PREFIX}")

target_link_libraries(audiocd_encoder_opus
    Qt5::Widgets
    KF5::I18n
    KF5::Cddb
    audiocdplugins
)

install(TARGETS audiocd_encoder_opus  DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install(FILES audiocd_opus_encoder.kcfg  DESTINATION  ${KCFG_INSTALL_DIR})

=== plugins/vorbis/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 target_link_libraries(audiocd_encoder_vorbis 
     ${OGGVORBIS_LIBRARIES} 
+    Qt5::Widgets
     KF5::I18n
     KF5::Cddb
     audiocdplugins

=== debian/changelog ===
audiocd-kio (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Update build dependencies according to the upstream build system:
    - Qt >= 5.12
    - KF5 >= 5.68
  * Update installed files.
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 02 Jan 2021 11:26:39 +0100

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkf5cddb-dev,
               libkf5compactdisc-dev,
               libkf5config-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5kcmutils-dev (>= 5.68.0~),
               libkf5kio-dev (>= 5.68.0~),
               libogg-dev,
               libphonon4qt5-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio.git

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lame
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.
